Skip to content

Patch an outgoing webhook configuration

PATCH
/api/v1/outgoing-webhooks/{webhook_id}
curl --request PATCH \
--url https://external-api.moja-ai.com/api/v1/outgoing-webhooks/example \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "name": "example", "description": "example", "event_type_id": "example", "url": "example", "method": "GET", "params": {}, "headers": {}, "body": {}, "body_type": "json", "external_id": "example" }'
webhook_id
required
Webhook Id
string
X-API-Key
Any of:
string
Media typeapplication/json
OutgoingWebhookPatch
object
name
Any of:
string
>= 1 characters <= 255 characters
description
Any of:
string
event_type_id
Any of:
string
>= 1 characters
url
Any of:
string
>= 1 characters <= 500 characters
method
Any of:
string
Allowed values: GET POST PUT PATCH DELETE
params
Any of:
object
key
additional properties
any
headers
Any of:
object
key
additional properties
any
body
Any of:
object
key
additional properties
any
body_type
Any of:
string
Allowed values: json form_data
external_id
Any of:
string
>= 1 characters <= 64 characters

Successful Response

Media typeapplication/json
OutgoingWebhookResponse
object
id
required
Id
string
created_at
Any of:
string format: date-time
updated_at
Any of:
string format: date-time
org_id
required
Org Id
string
name
required
Name
string
description
Any of:
string
event_type_id
required
Event Type Id
string
event_type
Any of:
EventTypeResponse
object
id
required
Id
string
name
required
Name
string
internal_name
required
Internal Name
string
description
Any of:
string
url
required
Url
string
method
required
Method
string
params
Any of:
object
key
additional properties
any
headers
Any of:
object
key
additional properties
any
body
Any of:
object
key
additional properties
any
body_type
required
Body Type
string
external_id
Any of:
string
Examplegenerated
{
"id": "example",
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z",
"org_id": "example",
"name": "example",
"description": "example",
"event_type_id": "example",
"event_type": {
"id": "example",
"name": "example",
"internal_name": "example",
"description": "example"
},
"url": "example",
"method": "example",
"params": {},
"headers": {},
"body": {},
"body_type": "example",
"external_id": "example"
}

Bad Request

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Unauthorized

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Not Found

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Conflict

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}

Too Many Requests

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}